> For the complete documentation index, see [llms.txt](https://docs.clickoptions.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clickoptions.ai/api/easy-options.md).

# Easy Options

Simplified options trading API

## Close Easy Option

> Closes an active Easy Option

```json
{"openapi":"3.1.0","info":{"title":"fintp-public-api","version":"0.0.1"},"tags":[{"name":"Easy Options","description":"Simplified options trading API"}],"servers":[{"url":"https://api.clickoptions.ai/api","description":"Generated server url"}],"paths":{"/v1/easy-options/{id}/close":{"post":{"tags":["Easy Options"],"summary":"Close Easy Option","description":"Closes an active Easy Option","operationId":"closeEasyOption","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"Easy Option close initiated","content":{"*/*":{"schema":{"type":"object"}}}},"404":{"description":"Easy Option not found","content":{"*/*":{"schema":{"type":"object"}}}},"422":{"description":"Business validation failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorV1"}}}}}}}},"components":{"schemas":{"ApiErrorV1":{"type":"object","properties":{"error":{"type":"string"},"message":{"type":"string"},"requestId":{"type":"string"},"details":{"type":"object","additionalProperties":{}}}}}}}
```

## Open Easy Option

> Opens an Easy Option based on a card and investment amount

```json
{"openapi":"3.1.0","info":{"title":"fintp-public-api","version":"0.0.1"},"tags":[{"name":"Easy Options","description":"Simplified options trading API"}],"servers":[{"url":"https://api.clickoptions.ai/api","description":"Generated server url"}],"paths":{"/v1/easy-options/open":{"post":{"tags":["Easy Options"],"summary":"Open Easy Option","description":"Opens an Easy Option based on a card and investment amount","operationId":"openEasyOption","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OpenEasyOptionRequest"}}},"required":true},"responses":{"200":{"description":"Easy Option opened successfully","content":{"*/*":{"schema":{"type":"object"}}}},"400":{"description":"Invalid input","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorV1"}}}},"422":{"description":"Business validation failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiErrorV1"}}}}}}}},"components":{"schemas":{"OpenEasyOptionRequest":{"type":"object","properties":{"cardId":{"type":"integer","format":"int64"},"investmentAmount":{"type":"number"}},"required":["cardId","investmentAmount"]},"ApiErrorV1":{"type":"object","properties":{"error":{"type":"string"},"message":{"type":"string"},"requestId":{"type":"string"},"details":{"type":"object","additionalProperties":{}}}}}}}
```

## Search Easy Options

> Search easy options with filtering and pagination

```json
{"openapi":"3.1.0","info":{"title":"fintp-public-api","version":"0.0.1"},"tags":[{"name":"Easy Options","description":"Simplified options trading API"}],"servers":[{"url":"https://api.clickoptions.ai/api","description":"Generated server url"}],"paths":{"/v1/easy-options/search":{"get":{"tags":["Easy Options"],"summary":"Search Easy Options","description":"Search easy options with filtering and pagination","operationId":"searchEasyOptions","parameters":[{"name":"searchDto","in":"query","required":true,"schema":{"$ref":"#/components/schemas/EasyOptionSearchDto"}}],"responses":{"200":{"description":"Successfully retrieved easy options","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PagedResultEasyOptionDto"}}}},"500":{"description":"Internal server error"}}}}},"components":{"schemas":{"EasyOptionSearchDto":{"type":"object","properties":{"search":{"type":"string","description":"Search query string"},"pageNumber":{"type":"integer","format":"int32","default":0,"description":"Page number (zero-based)"},"pageSize":{"type":"integer","format":"int32","default":40,"description":"Page size (number of items per page)"},"wl":{"type":"integer","format":"int32","description":"Whitelist filter value"},"sortByField":{"type":"string","description":"Field to sort by"},"sortByDirection":{"type":"string","description":"Sort direction (ASC or DESC)","enum":["ASC","DESC"]},"id":{"type":"integer","format":"int64","description":"Option ID"},"accountId":{"type":"integer","format":"int64","description":"Account ID"},"cardId":{"type":"integer","format":"int64","description":"Card ID"},"positionId":{"type":"integer","format":"int64","description":"Position ID"},"orderId":{"type":"integer","format":"int64","description":"Order ID"},"type":{"type":"string","description":"Option type (UP_DOWN, TOUCH)"},"status":{"type":"string","description":"Option status (ACTIVE, CLOSED)"},"direction":{"type":"string","description":"Direction (UP, DOWN)"},"investmentCurrency":{"type":"string","description":"Investment currency"},"optionSymbol":{"type":"string","description":"Option symbol"},"optionSymbolContains":{"type":"string","description":"Option symbol contains (pattern match)"},"investmentAmountMin":{"type":"number","description":"Minimum investment amount"},"investmentAmountMax":{"type":"number","description":"Maximum investment amount"},"targetPriceMin":{"type":"number","description":"Minimum target price"},"targetPriceMax":{"type":"number","description":"Maximum target price"},"triggerPriceMin":{"type":"number","description":"Minimum trigger price"},"triggerPriceMax":{"type":"number","description":"Maximum trigger price"},"qtyMin":{"type":"number","description":"Minimum quantity"},"qtyMax":{"type":"number","description":"Maximum quantity"},"entryPriceMin":{"type":"number","description":"Minimum entry price"},"entryPriceMax":{"type":"number","description":"Maximum entry price"},"openTimeFrom":{"type":"string","format":"date-time","description":"Open time from"},"openTimeTo":{"type":"string","format":"date-time","description":"Open time to"},"closeTimeFrom":{"type":"string","format":"date-time","description":"Close time from"},"closeTimeTo":{"type":"string","format":"date-time","description":"Close time to"},"triggerTimeFrom":{"type":"string","format":"date-time","description":"Trigger time from"},"triggerTimeTo":{"type":"string","format":"date-time","description":"Trigger time to"}}},"PagedResultEasyOptionDto":{"type":"object","properties":{"content":{"type":"array","items":{"$ref":"#/components/schemas/EasyOptionDto"}},"page":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"totalElements":{"type":"integer","format":"int64"},"totalPages":{"type":"integer","format":"int32"},"empty":{"type":"boolean"},"numberOfElements":{"type":"integer","format":"int32"}}},"EasyOptionDto":{"type":"object","properties":{"id":{"type":"string","description":"Option unique identifier"},"accountId":{"type":"integer","format":"int64","description":"Account ID associated with the option"},"cardId":{"type":"integer","format":"int64","description":"Card ID associated with the option"},"type":{"type":"string","description":"Type of the option","enum":["UP_DOWN","TOUCH"]},"status":{"type":"string","description":"Status of the option","enum":["PENDING","ACTIVE","TRIGGERED","CLOSING","CLOSED","EXPIRED"]},"direction":{"type":"string","description":"Direction of the option","enum":["UP","DOWN"]},"investmentAmount":{"type":"number","description":"Investment amount"},"investmentCurrency":{"type":"string","description":"Currency of the investment"},"targetPrice":{"type":"number","description":"Target price for the option"},"triggerPrice":{"type":"number","description":"Trigger price for the option"},"optionSymbol":{"type":"string","description":"Symbol of the option"},"positionId":{"type":"string","description":"Position ID related to the option"},"orderId":{"type":"string","description":"Order ID related to the option"},"qty":{"type":"number","description":"Quantity of the option"},"entryPrice":{"type":"number","description":"Entry price of the option"},"openTime":{"type":"integer","format":"int64","description":"Open time (epoch millis)"},"closeTime":{"type":"integer","format":"int64","description":"Close time (epoch millis)"},"triggerTime":{"type":"integer","format":"int64","description":"Trigger time (epoch millis)"},"cardName":{"type":"string","description":"Card name associated with the option"},"fee":{"type":"string","description":"Fee paid"},"closePrice":{"type":"string","description":"Close price"},"pl":{"type":"string","description":"Trade Profit/Loss"},"plClosed":{"type":"string","description":"Trade Profit/Loss closed"}}}}}}
```

## GET /v1/easy-options/list

>

```json
{"openapi":"3.1.0","info":{"title":"fintp-public-api","version":"0.0.1"},"tags":[{"name":"Easy Options","description":"Simplified options trading API"}],"servers":[{"url":"https://api.clickoptions.ai/api","description":"Generated server url"}],"paths":{"/v1/easy-options/list":{"get":{"tags":["Easy Options"],"operationId":"searchCards","parameters":[{"name":"searchDto","in":"query","required":true,"schema":{"$ref":"#/components/schemas/EasyOptionCardSearchDto"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EasyOptionCardDto"}}}}}}}}},"components":{"schemas":{"EasyOptionCardSearchDto":{"type":"object","properties":{"search":{"type":"string","description":"Search query string"},"pageNumber":{"type":"integer","format":"int32","default":0,"description":"Page number (zero-based)"},"pageSize":{"type":"integer","format":"int32","default":40,"description":"Page size (number of items per page)"},"wl":{"type":"integer","format":"int32","description":"Whitelist filter value"},"sortByField":{"type":"string","description":"Field to sort by"},"sortByDirection":{"type":"string","description":"Sort direction (ASC or DESC)","enum":["ASC","DESC"]},"type":{"type":"string"},"direction":{"type":"string"},"active":{"type":"string"},"underlying":{"type":"string"},"underlyingContains":{"type":"string"},"titleContains":{"type":"string"}}},"EasyOptionCardDto":{"type":"object","description":"Easy Option Card data transfer object","properties":{"id":{"type":"integer","format":"int64","description":"Card unique identifier"},"type":{"type":"string","description":"Option type","enum":["UP_DOWN","TOUCH"]},"underlying":{"type":"string","description":"Underlying asset symbol","maxLength":2147483647,"minLength":3},"direction":{"type":"string","description":"Trade direction","enum":["UP","DOWN"]},"targetPrice":{"type":"number","description":"Target price for the option","minimum":0},"triggerPrice":{"type":"number","description":"Trigger price for the option"},"optionSymbol":{"type":"string","description":"Option symbol"},"expiryDate":{"type":"string","format":"date-time","description":"Expiry date in ISO 8601 format"},"tradingIdea":{"type":"string","description":"Trading idea or rationale","maxLength":255,"minLength":0},"autoGenerated":{"type":"boolean","description":"Whether the card was auto-generated"},"active":{"type":"boolean","description":"Whether the card is active"},"title":{"type":"string","description":"Card title","maxLength":100,"minLength":0},"description":{"type":"string","description":"Card description","maxLength":255,"minLength":0},"currentAskPrice":{"type":"number","description":"Current ask price for the option"},"currentOptionSymbol":{"type":"string","description":"Current option symbol being traded"}},"required":["direction","expiryDate","targetPrice","title","type","underlying"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.clickoptions.ai/api/easy-options.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
